View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18194Bug reportsSurvey editingpublic2022-08-08 09:16
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18194: Link after import survey goes to subquestion edit
Description

Question edit link with subquestion id goes to subquestion edit as a question (can be great for plugins or LS update)
And this link came after importing survey (don't know why) : this is the issue

Steps To Reproduce

Steps to reproduce

Import included lss
Clink on goes to survey : this goes to question edit (why ?)

Expected result

Goes to survey edit (like 3.X)

Actual result

Goes to subquestion edit.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build) 5.3.19
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 18193 ready for code review Question theme error: Missing metadata (Type: X) 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-07-05 14:53

manager   ~70722

Actual result
Goes to subquestion edit.

I think this is intended.
It is the default positioning after creating a survey.
@c_schmitz can confirm if this should be updated for imports or not.

DenisChenu

DenisChenu

2022-07-05 15:01

developer   ~70724

On a SUBQUESTION ?

It can not be attended !

subquestion can not be edited.

gabrieljenik

gabrieljenik

2022-07-05 15:44

manager   ~70741

Sorry, I may have miss-read.
What do you mean by Goes to subquestion edit.?

DenisChenu

DenisChenu

2022-07-05 16:47

developer   ~70746

See here : https://bugs.limesurvey.org/view.php?id=18193#c70379

ID is a subquestion, not a question.

gabrieljenik

gabrieljenik

2022-07-06 00:42

manager   ~70757

I see

gabrieljenik

gabrieljenik

2022-07-19 21:31

manager   ~71029

https://github.com/LimeSurvey/LimeSurvey/pull/2522

gabrieljenik

gabrieljenik

2022-08-02 10:11

manager   ~71287

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33696

LimeBot

LimeBot

2022-08-08 09:16

administrator   ~71367

Fixed in Release 5.3.30+220808

Related Changesets

LimeSurvey: master ede9be43

2022-08-02 10:11:31

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18194: Link after import survey goes to subquestion edit (#2522)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
18194
mod - application/controllers/SurveyAdministrationController.php Diff File

Issue History

Date Modified Username Field Change
2022-06-15 14:48 DenisChenu New Issue
2022-06-17 08:51 DenisChenu Relationship added related to 18193
2022-07-05 14:53 gabrieljenik Note Added: 70722
2022-07-05 14:53 gabrieljenik Bug heat 0 => 2
2022-07-05 14:53 gabrieljenik Assigned To => gabrieljenik
2022-07-05 14:53 gabrieljenik Status new => acknowledged
2022-07-05 14:53 gabrieljenik Assigned To gabrieljenik =>
2022-07-05 15:01 DenisChenu Note Added: 70724
2022-07-05 15:01 DenisChenu Bug heat 2 => 4
2022-07-05 15:44 gabrieljenik Note Added: 70741
2022-07-05 16:47 DenisChenu Note Added: 70746
2022-07-06 00:42 gabrieljenik Note Added: 70757
2022-07-06 00:42 gabrieljenik Status acknowledged => confirmed
2022-07-18 15:18 gabrieljenik Assigned To => gabrieljenik
2022-07-18 15:18 gabrieljenik Status confirmed => assigned
2022-07-19 21:31 gabrieljenik Status assigned => ready for code review
2022-07-19 21:31 gabrieljenik Note Added: 71029
2022-07-27 23:29 gabrieljenik Status ready for code review => ready for merge
2022-08-02 10:11 gabrieljenik Changeset attached => LimeSurvey master ede9be43
2022-08-02 10:11 gabrieljenik Note Added: 71287
2022-08-02 10:11 gabrieljenik Resolution open => fixed
2022-08-03 13:05 ollehar Status ready for merge => resolved
2022-08-08 09:16 LimeBot Note Added: 71367
2022-08-08 09:16 LimeBot Status resolved => closed
2022-08-08 09:16 LimeBot Bug heat 4 => 6